List participants
curl --request GET \
--url https://api.anchorage-staging.com/v2/atlas/directory/participants \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/atlas/directory/participants"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/atlas/directory/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"isActive": true,
"participantId": "<string>",
"participantName": "<string>",
"tier": "Basic"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List participants
Permissions required: Read vault activity
Get the list of participants you have access to.
GET
/
atlas
/
directory
/
participants
List participants
curl --request GET \
--url https://api.anchorage-staging.com/v2/atlas/directory/participants \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/atlas/directory/participants"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/atlas/directory/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"isActive": true,
"participantId": "<string>",
"participantName": "<string>",
"tier": "Basic"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
Maximum number of results to return per query
Required range:
1 <= x <= 100When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Minimum string length:
1Was this page helpful?